Class Param
java.lang.Object
ch.colabproject.colab.generator.plugin.rest.Param
represent a REST method parameter
- Author:
- maxence
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionGet @PathParam nameGet the value of javadocgetName()Get the value of namegetType()Get the value of typebooleanIs the parameter optional?voidsetInAnnotationName(String inAnnotationName) Set the path param namevoidsetJavadoc(String javadoc) Set the value of javadocvoidSet the value of namevoidsetOptional(boolean optional) Set parameter optional-nessvoidSet the value of type
-
Constructor Details
-
Param
public Param()
-
-
Method Details
-
getType
Get the value of type- Returns:
- the value of type
-
setType
Set the value of type- Parameters:
type- new value of type
-
getName
Get the value of name- Returns:
- the value of name
-
setName
Set the value of name- Parameters:
name- new value of name
-
getInAnnotationName
Get @PathParam name- Returns:
- path param name
-
setInAnnotationName
Set the path param name- Parameters:
inAnnotationName- new path param name
-
getJavadoc
Get the value of javadoc- Returns:
- the value of javadoc
-
setJavadoc
Set the value of javadoc- Parameters:
javadoc- new value of javadoc
-
isOptional
public boolean isOptional()Is the parameter optional?- Returns:
- is optional or mandatory
-
setOptional
public void setOptional(boolean optional) Set parameter optional-ness- Parameters:
optional- new optional value
-